Audit
Price audit fixes in AI credits
With page_id: the plan of that page, each applicable fix with its price
and whether the plan pre-selects it. Without it: the price of fixing the
whole site (bulk), which is what fixAuditBulk debits. balance is the
current AI credit balance. Debits nothing.
GET
/
profiles
/
{profile_id}
/
audit
/
fix-estimate
Error
A valid request URL is required to generate request examples{
"data": {
"audit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "page",
"balance": 1,
"total_credits": 1,
"fix_count": 1,
"article_count": 1,
"cms_connected": true,
"manual_only": true,
"pages": [
{
"page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"plan": "rewrite",
"protected": true,
"total_credits": 1,
"fixes": [
{
"fix_type": "<string>",
"credits": 1,
"units": 1,
"applicable": true,
"delivery": "<string>",
"selected": true,
"issue_keys": [
"<string>"
],
"reason_code": "<string>"
}
],
"bulk_fix_count": 1,
"bulk_credits": 1,
"bulk_rewrite": true
}
],
"bulk": {
"article_count": 1,
"targeted_fix_count": 1,
"targeted_credits": 1,
"rewrite_count": 1,
"rewrite_credits": 1,
"total_credits": 1,
"can_afford": true
},
"cms_provider": "<string>",
"cms_unavailable_reason": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}Authorizations
OAuth2PersonalAPIKey
Path Parameters
Query Parameters
⌘I
Error
A valid request URL is required to generate request examples{
"data": {
"audit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "page",
"balance": 1,
"total_credits": 1,
"fix_count": 1,
"article_count": 1,
"cms_connected": true,
"manual_only": true,
"pages": [
{
"page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"plan": "rewrite",
"protected": true,
"total_credits": 1,
"fixes": [
{
"fix_type": "<string>",
"credits": 1,
"units": 1,
"applicable": true,
"delivery": "<string>",
"selected": true,
"issue_keys": [
"<string>"
],
"reason_code": "<string>"
}
],
"bulk_fix_count": 1,
"bulk_credits": 1,
"bulk_rewrite": true
}
],
"bulk": {
"article_count": 1,
"targeted_fix_count": 1,
"targeted_credits": 1,
"rewrite_count": 1,
"rewrite_credits": 1,
"total_credits": 1,
"can_afford": true
},
"cms_provider": "<string>",
"cms_unavailable_reason": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}
